Summary:	A Mail Virus Scanner
Name:		amavisd-new
Version:	2.11.0
Release:	%mkrel 3
License:	GPL
Group:		Networking/Mail
URL:		http://www.ijs.si/software/amavisd/
Source0:	http://www.ijs.si/software/amavisd/%{name}-%{version}.tar.xz
Source1:	amavisd.service
Source2:	amavisd-tempfiles.conf
Patch1:		amavisd-new-mga_conf-2.11.0.diff
Patch2:		amavisd-new-2.11.0-SA.patch
Patch3:		amavisd-new-2.6.4-snmp.patch
Requires:	file >= 4.24
Requires:	mail-server
Requires:	perl-Archive-Tar
Requires:	perl-Archive-Zip
Requires:	perl-BerkeleyDB
Requires:	perl(Compress::Zlib)
Requires:	perl-Convert-TNEF
Requires:	perl-Convert-UUlib >= 1.08
Requires:	perl-Convert-BinHex
Requires:	perl-Crypt-OpenSSL-RSA
Requires:	perl-DBI
Requires:	perl-Digest-MD5
Requires:	perl-IO-stringy
Requires:	perl-IO-Socket-INET6
Requires:	perl-ldap
Requires:	perl-libnet
Requires:	perl-Mail-DKIM
Requires:	perl-Mail-SpamAssassin
Requires:	perl-MailTools
Requires:	perl-MIME-Base64
Requires:	perl-MIME-tools >= 5.411
Requires:	perl-Net-Server >= 0.84
Requires:	perl-Razor-Agent
Requires:	perl-Time-HiRes
Requires:	perl-Unix-Syslog
Requires:	spamassassin >= 2.60
Requires:	binutils
Requires:	bzip2
Requires:	cabextract
Requires:	tnef
Requires:	lha
Requires:	lzop
Requires:	ncompress
Requires:	nomarch
Requires:	pax
Requires:	ripole
Requires: 	lrzip
Requires: 	unzoo
Provides:	amavisd
BuildArch:	noarch
# this is for serviceadd, etc.
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
# this is for useradd, groupadd, etc.
Requires(pre): rpm-helper
Requires(postun): rpm-helper



%description
AMaViS is a perl script that interfaces a Mail Transport Agent (MTA)
with one or more virus scanners (not provided).

%prep

%setup -q -n %{name}-%{version}
%autopatch -p1

%build

%install

install -d %{buildroot}%{_sysconfdir}/amavisd
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}/var/lib/amavis/.spamassassin
install -d %{buildroot}/var/spool/amavis/virusmails
install -d %{buildroot}/var/lib/amavis/{tmp,db}

install -m0640 amavisd.conf %{buildroot}%{_sysconfdir}/amavisd/amavisd.conf
install -m0640 amavisd.conf-default %{buildroot}%{_sysconfdir}/amavisd/amavisd.conf-default
install -m0755 amavisd %{buildroot}%{_sbindir}/amavisd
install -m0755 p0f-analyzer.pl %{buildroot}%{_sbindir}/
install -m0755 amavisd-agent %{buildroot}%{_sbindir}/
install -m0755 amavisd-nanny %{buildroot}%{_sbindir}/
install -m0755 amavisd-release %{buildroot}%{_sbindir}/
install -m0755 amavisd-snmp-subagent %{buildroot}%{_sbindir}/

# Install the systemd unit+tempfiles
%{__install} -D -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/amavisd.service
%{__install} -D -p -m 644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/amavisd.conf


cat > %{buildroot}/var/lib/amavis/.spamassassin/user_prefs <<EOF
# SpamAssassin User Preferences file
# (see perldoc Mail::SpamAssassin::Conf for details of what can be tweaked).
# Note that the entries for headers won't have effect, since those are
# directly handled/overridden by amavisd and amavisd.conf.

dns_available yes

# Bayes filters requires at least 200 entries of spam and 200 of ham 
# for start working
bayes_file_mode 0640
use_bayes 1
#bayes_auto_learn 0

skip_rbl_checks 1
use_razor2 0
use_pyzor 0
#dcc_add_header 1

# Custom scores (local|net|bayes|bayes+net)
#score   BAYES_99        4.300 4.300 5.400 5.400
#score   BAYES_90        3.500 3.500 3.500 3.500
#score   BAYES_80        3.000 3.000 3.000 3.000
#score   DCC_CHECK       4.000 4.000 4.000 4.000
#score   RAZOR2_CHECK    2.500 2.500 2.500 2.500
#score   HABEAS_SWE      -0.01
EOF

cat > %{buildroot}%{_bindir}/amavisd-checkbayesdb <<EOF
#!/bin/sh
su amavis -c "%{_bindir}/sa-learn --dump" -s /bin/sh
EOF

cat > %{buildroot}%{_bindir}/amavisd-checkcfg <<EOF
#!/bin/sh
su amavis -c "%{_bindir}/spamassassin --lint -D" -s /bin/sh
EOF

cat > %{buildroot}%{_bindir}/amavisd-mboxlearnham <<EOF
#!/bin/sh
su amavis -c "%{_bindir}/sa-learn --showdots --ham --mbox \$1" -s /bin/sh
EOF

cat > %{buildroot}%{_bindir}/amavisd-mboxlearnspam <<EOF
#!/bin/sh
su amavis -c "%{_bindir}/sa-learn --showdots --spam --mbox \$1" -s /bin/sh
EOF

%pre
%_pre_useradd amavis /var/lib/amavis /bin/false
%_pre_groupadd amavis amavis,clamav

%post
# (cg) Ensure file permissions are correct (otherwise it can break reload)
# https://bugs.mageia.org/show_bug.cgi?id=12755
chgrp amavis %{_sysconfdir}/amavisd/amavisd.conf ||:
chmod g+r %{_sysconfdir}/amavisd/amavisd.conf ||:
%_tmpfilescreate amavisd
%_post_service amavisd

# check mta
mta="`readlink /etc/alternatives/sendmail-command 2>/dev/null | cut -d . -f 2`"
if [ "$mta" = "postfix" ]; then
	aliases="%{_sysconfdir}/postfix/aliases"
else
	aliases="%{_sysconfdir}/aliases"
fi
if [ -e "$aliases" ]; then
	grep -q "virusalert" "$aliases" || \
		echo "virusalert: root" >> "$aliases"
	[ -x %{_bindir}/newaliases ] && %{_bindir}/newaliases > /dev/null 2>&1
fi

if [ -x /usr/sbin/postconf ] && [ -z `/usr/sbin/postconf -h content_filter` ]; then
	postconf -e content_filter=lmtp-filter:127.0.0.1:10025
	postconf -e receive_override_options=no_address_mappings
fi

%preun
%_preun_service amavisd

%files
%doc AAAREADME.first INSTALL LICENSE README_FILES RELEASE_NOTES test-messages
%doc LDAP.schema amavisd-new-courier.patch amavisd-new-qmqpqq.patch
%doc AMAVIS-MIB.txt
%attr(0640,root,amavis) %config(noreplace) %{_sysconfdir}/amavisd/amavisd.conf
%attr(0640,root,amavis) %{_sysconfdir}/amavisd/amavisd.conf-default
%attr(0755,root,root) %{_sbindir}/amavisd
%attr(0755,root,root) %{_sbindir}/p0f-analyzer.pl
%attr(0755,root,root) %{_sbindir}/amavisd-agent
%attr(0755,root,root) %{_sbindir}/amavisd-nanny
%attr(0755,root,root) %{_sbindir}/amavisd-release
%attr(0755,root,root) %{_sbindir}/amavisd-snmp-subagent
%attr(0755,root,root) %{_bindir}/amavisd-*
%attr(0755,root,root) %dir /var/spool/amavis
%attr(0750,amavis,amavis) %dir /var/spool/amavis/virusmails
%attr(0750,amavis,amavis) %dir /var/lib/amavis
%attr(0750,amavis,amavis) %dir /var/lib/amavis/tmp
%attr(0750,amavis,amavis) %dir /var/lib/amavis/db
%attr(0750,amavis,amavis) %dir /var/lib/amavis/.spamassassin
%attr(0640,amavis,amavis) %config(noreplace) /var/lib/amavis/.spamassassin/user_prefs
%{_unitdir}/amavisd.service
%{_tmpfilesdir}/amavisd.conf


%changelog
* Mon Jun 13 2016 spuhler <spuhler> 2.11.0-3.mga6
+ Revision: 1021301
- added Requires: unzoo

* Sun Jun 12 2016 spuhler <spuhler> 2.11.0-2.mga6
+ Revision: 1021209
- synched service file to Fedora

* Tue Apr 26 2016 spuhler <spuhler> 2.11.0-1.mga6
+ Revision: 1006647
- more "rc1" spell fixes
- wrong spelling of source
- upgrade to rel version 2.11.0
- too many zeros in the rel

* Mon Mar 21 2016 spuhler <spuhler> 2.11.0-0.0.RC1.1.mga6
+ Revision: 993830
- rediffed patches
- amavisd-new-mga_conf-2.11.0.diff, moved socket and pid to /run/amavis
- upgrade to vers 2.11.0-rc1

* Thu Feb 18 2016 umeabot <umeabot> 2.10.1-2.mga6
+ Revision: 966174
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 spuhler <spuhler> 2.10.1-1.mga6
+ Revision: 842791
- upgrade to vers. 2.10.1
  * rediffed Patch1
- added Requires: lrzip

* Fri Nov 14 2014 spuhler <spuhler> 2.9.1-4.mga5
+ Revision: 796904
- added  Requires: perl-IO-Socket-INET6
  * amavis will not start anymore without

* Wed Oct 15 2014 umeabot <umeabot> 2.9.1-3.mga5
+ Revision: 746568
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.1-2.mga5
+ Revision: 677749
- Mageia 5 Mass Rebuild

* Fri Jun 27 2014 spuhler <spuhler> 2.9.1-1.mga5
+ Revision: 640453
- upgrade to ver 2.9.1
  * bug fixes by upstream
- removed Obsoletes: amavis-postfix
 * we haven't provided this for a very long time

* Sun Jun 08 2014 spuhler <spuhler> 2.9.0-1.mga5
+ Revision: 634697
- rediffed amavisd-new-mga_conf-2.diff
- upgrade to ver. 2.9.0

* Sat Feb 22 2014 colin <colin> 2.8.2-0.rc1.5.mga5
+ Revision: 595552
- Ensure file permissions are correct for reloads (mga#12755)

* Sat Dec 21 2013 spuhler <spuhler> 2.8.2-0.rc1.4.mga4
+ Revision: 559653
- put Requires: spamassassin >= 2.60 back
  * it's needed for several little programs

* Mon Nov 04 2013 colin <colin> 2.8.2-0.rc1.3.mga4
+ Revision: 549510
- Convert sysvinit to native systemd unit
- Rename tmpfiles to skip redundant -tempfiles suffix

* Mon Oct 21 2013 umeabot <umeabot> 2.8.2-0.rc1.2.mga4
+ Revision: 540923
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 spuhler <spuhler> 2.8.2-0.rc1.1.mga4
+ Revision: 494514
- upgrade to version 2.8.2rc1

* Thu Oct 03 2013 spuhler <spuhler> 2.8.1-2.mga4
+ Revision: 490646
- removed requires
 * spamassassin
 * spamassassin-spamd
 * spamassassin-spamc
 - not needed per release notes from 2002, bug #11245

* Thu Aug 15 2013 spuhler <spuhler> 2.8.1-1.mga4
+ Revision: 466752
- upgrade to 2.8.1
 * changed port to listen to back to 10024
   -  this is being used by kolab. 10025 is already used

* Fri Apr 12 2013 spuhler <spuhler> 2.8.0-14.mga3
+ Revision: 409797
- bumped rel
- changed in the config file:
 * # $MYHOME = '/var/lib/amavis to $MYHOME = '/var/run/amavis'

* Sun Apr 07 2013 spuhler <spuhler> 2.8.0-13.mga3
+ Revision: 408650
- bumped rel
- Removed amavisd-new-mdv_conf patch
 - has never been used in mga
  used amavids-new-mdv_config-2.patch from mdv
 -changed ports to match postfix (10024/10025/10026)
 -other fixes
 - replaces amavisd-new-mga_conf2.patch
  removed amavisd-new-user.patch
 -built into config-2 patch

* Sun Mar 24 2013 colin <colin> 2.8.0-12.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Fri Mar 22 2013 spuhler <spuhler> 2.8.0-11.mga3
+ Revision: 404567
- removed "conf" from the filename in the %%post section

* Fri Mar 22 2013 spuhler <spuhler> 2.8.0-10.mga3
+ Revision: 404554
- corrected %%_tmpfilescreate line
  bumped rel

* Fri Mar 01 2013 spuhler <spuhler> 2.8.0-9.mga3
+ Revision: 400943
- bumped rel to rebuild after the changes
- added the "-" at the end of each line
- removed 2>/dev/null in the stop and reload

* Thu Feb 14 2013 spuhler <spuhler> 2.8.0-8.mga3
+ Revision: 398306
- bumped rel
- added two more temp dirs in order to make it start
- changed $MYHOME = '/var/run/amavisd to $MYHOME = '/var/run/amavis

* Mon Feb 04 2013 spuhler <spuhler> 2.8.0-7.mga3
+ Revision: 394337
- added the systemd tempfiles

* Sun Feb 03 2013 spuhler <spuhler> 2.8.0-6.mga3
+ Revision: 394291
- fixed syntax error

* Sun Feb 03 2013 spuhler <spuhler> 2.8.0-5.mga3
+ Revision: 394268
- added Requires:perl-Convert-BinHex

* Sun Feb 03 2013 spuhler <spuhler> 2.8.0-4.mga3
+ Revision: 394188
- bumped rel to rebuild against new perl

* Mon Jan 28 2013 spuhler <spuhler> 2.8.0-3.mga3
+ Revision: 392922
- bumped rel for rebuild
  cleaned spec

* Fri Jan 11 2013 umeabot <umeabot> 2.8.0-2.mga3
+ Revision: 345529
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 15 2012 spuhler <spuhler> 2.8.0-1.mga3
+ Revision: 270891
- upgrade to 2.8.0

* Sat Jun 09 2012 spuhler <spuhler> 2.7.1-1.mga3
+ Revision: 259017
- ugrade to version 2.7.1

* Sun Nov 20 2011 spuhler <spuhler> 2.7.0-2.mga2
+ Revision: 169597
- there was an accidental TAB in line 17

  + dlucio <dlucio>
    - 2.7.0

* Tue Jun 07 2011 dmorgan <dmorgan> 2.6.6-1.mga2
+ Revision: 101472
- New version 2.6.6

* Thu Feb 24 2011 spuhler <spuhler> 2.6.4-9.mga1
+ Revision: 58198
- Increased rel
  +Requires:	perl(Convert::BinHex)
  Removed Buildroot line from spec

* Sat Feb 19 2011 spuhler <spuhler> 2.6.4-8.mga1
+ Revision: 54389
- updated rel from 7 to 8 for rebuild with new perl

* Fri Jan 21 2011 dlucio <dlucio> 2.6.4-7.mga1
+ Revision: 30131
- imported package amavisd-new

